curl "https://api.mem.ai/v2/mem-it" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $MEM_API_KEY" \
--data '{
"input": "<!DOCTYPE html><html><head><title>AI Trends 2025</title>...</html>",
"instructions": "Extract the key findings and save as a research note"
}'{
"request_id": "api-request-036ed6c7-de00-459f-a89b-43d26aafe522"
}{
"error": {
"details": {
"current_plan": "<string>",
"free_used": 1,
"reset_time": "<string>",
"used": 1,
"free_limit": 1,
"limit": 1
},
"message": "<string>",
"upgrade_info": {
"message": "<string>",
"upgrade_url": "<string>"
},
"type": "quota_exceeded"
}
}Mem It
curl "https://api.mem.ai/v2/mem-it" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $MEM_API_KEY" \
--data '{
"input": "<!DOCTYPE html><html><head><title>AI Trends 2025</title>...</html>",
"instructions": "Extract the key findings and save as a research note"
}'{
"request_id": "api-request-036ed6c7-de00-459f-a89b-43d26aafe522"
}{
"error": {
"details": {
"current_plan": "<string>",
"free_used": 1,
"reset_time": "<string>",
"used": 1,
"free_limit": 1,
"limit": 1
},
"message": "<string>",
"upgrade_info": {
"message": "<string>",
"upgrade_url": "<string>"
},
"type": "quota_exceeded"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Any raw content you want to remember - web pages, emails, transcripts, articles, or simple text.
Common Use Cases: • HTML from a webpage • Email text (including headers) • Meeting transcript • Text from a document • Simple notes or thoughts
Examples: • "AI Trends 2025..." • "[08:47:19] Kevin: Hello...[09:15:22] Meeting ended." • "Check out Atomic Habits by James Clear - recommended by Sarah"
Maximum of ~1M characters (~1 MB).
1000000Additional background information that helps Mem understand how this input relates to your existing knowledge.
Examples: • "This is related to my Project Alpha research" • "This is from the quarterly planning meeting" • "This is a follow-up to our discussion yesterday"
Maximum of ~10k characters.
10000Optional guidance on how you want this information processed or remembered.
Examples: • "Extract the key findings and save as a research note" • "Create a summary with action items and decisions" • "Add to my reading list"
Maximum size: approximately 10 KB.
10000When this information was encountered or created (ISO 8601 datetime string). Defaults to the current date and time.
Example: • "2025-04-01T14:30:45Z" • "2023-12-15T09:45:30+01:00"
Maximum of ~10k characters.
Response
OK